"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.shouldReturn = void 0;

var _lodash = _interopRequireDefault(require("lodash.isequal"));

var _format = require("../../utils/format");

var shouldReturn = function shouldReturn(context, expectedResult) {
  var environment = context.environment;

  if (environment.isExecuted()) {
    throw Error("Assertion cannot be assigned if the test was executed.");
  }

  if (environment.getAssertion() != null) {
    throw Error("The test assertion already assigned.");
  }

  environment.setAssertion(function (resolve, reject, result, error, negated) {
    if (error) {
      return reject(new Error("expected a value, but received an error " + error));
    }

    var success = (0, _lodash["default"])(result, expectedResult);

    if (negated) {
      success = !success;
    }

    if (success) {
      return resolve(result);
    }

    return reject(new Error("should" + (negated ? 'Not' : '') + "Return assertion failed:\n " + (0, _format.stringifyDiff)(expectedResult, result)));
  });
  return environment.promise;
};

exports.shouldReturn = shouldReturn;
//# sourceMappingURL=should-return.js.map