"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.withEncryption = void 0;

var _lodash = _interopRequireDefault(require("lodash.partial"));

var _query = require("./query");

var _withAdapter = require("./with-adapter");

var withEncryption = function withEncryption(context, encryption) {
  if (context.encryption != null) {
    throw Error("Read model encryption already assigned.");
  }

  context.encryption = encryption;
  return {
    query: (0, _lodash["default"])(_query.query, context),
    withAdapter: (0, _lodash["default"])(_withAdapter.withAdapter, context)
  };
};

exports.withEncryption = withEncryption;
//# sourceMappingURL=with-encryption.js.map