/// <reference types="lodash" />
import { Command, Monitoring, ReadModelQuery, SecretsManager } from '@resolve-js/core';
import { MockedCommandImplementation, MockedQueryImplementation, SagaTestResult } from '../types';
declare type MockedImplementations = {
    commands: Map<string, MockedCommandImplementation>;
    queries: Map<string, MockedQueryImplementation>;
};
export declare const getSagaRuntime: (buffer: SagaTestResult, mockedImplementations: MockedImplementations, schedulerName: string, secretsManager: SecretsManager, monitoring: Monitoring, sideEffectsStartTimestamp: number, uploader?: null) => {
    secretsManager: SecretsManager;
    monitoring: Monitoring;
    executeCommand: import("lodash").Function1<Command, Promise<void>>;
    executeQuery: (query: ReadModelQuery) => Promise<void>;
    scheduler: {
        addEntries: () => undefined;
        clearEntries: () => undefined;
        executeEntries: () => undefined;
    };
    uploader: null;
    getSideEffectsTimestamp: () => Promise<number>;
    setSideEffectsTimestamp: (value: number) => Promise<void>;
};
export {};
